Name:           python-system-calls
Version:        5.15.4
Release:        1%{?dist}
Summary:        System calls

License:        MIT
URL:            https://github.com/hrw/python-syscalls
Source0:        %{pypi_source system-calls}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest
%endif

%global _description %{expand:
Simple interface to get system call numbers for any architecture.
}

%description %{_description}


%package -n python%{python3_pkgversion}-system-calls
Summary:        %{summary}

%description -n python%{python3_pkgversion}-system-calls %{_description}


%prep
%autosetup -p1 -n system-calls-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files system_calls
rm -rf %{buildroot}/usr/man 
mkdir -p %{buildroot}%{_mandir}/man1
cp man/syscall.1 %{buildroot}%{_mandir}/man1/


%if %{with tests}
%check
%pytest
%endif


%files -n python%{python3_pkgversion}-system-calls -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/*
%{_mandir}/man1/syscall.1.gz


%changelog
* Wed Sep 15 2021 Marcin Juszkiewicz <mjuszkiewicz@redhat.com> - 5.15.4-1
- Initial release
